Microsoft Security Bulletin MS17-004 - Important

Security Update for Local Security Authority Subsystem Service (3216771)

Published: January 10, 2017

Version: 1.0

Executive Summary

A denial of service vulnerability exists in the way the Local Security Authority Subsystem Service (LSASS) handles authentication requests. An attacker who successfully exploited the vulnerability could cause a denial of service on the target system's LSASS service, which triggers an automatic reboot of the system.

This security update is rated Important for Microsoft Windows Vista, Windows Server 2008, Windows 7, and Windows Server 2008 R2 (and Server Core). For more information, see the Affected Software and Vulnerability Severity Ratings section.

The security update addresses the vulnerability by changing the way that LSASS handles specially crafted authentication requests.

For more information about the vulnerability, see the Vulnerability Information section. For more information about this update, see Microsoft Knowledge Base Article 3216771.

Affected Software and Vulnerability Severity Ratings

The following software versions or editions are affected. Versions or editions that are not listed are either past their support life cycle or are not affected. To determine the support life cycle for your software past version or edition, see Microsoft Support Lifecycle.

The severity ratings indicated for each affected software assume the potential maximum impact of the vulnerability. For information regarding the likelihood, within 30 days of this security bulletin’s release, of the exploitability of the vulnerability in relation to its severity rating and security impact, please see the Exploitability Index in the January bulletin summary.

Operating System Local Security Authority Subsystem Service Denial of Service Vulnerability - CVE-2017-0004 Updates Replaced*
Windows Vista
Windows Vista Service Pack 2
(3216775)
Important
Denial of Service
3204808 in MS16-149
Windows Vista x64 Edition Service Pack 2
(3216775)
Important
Denial of Service
3204808 in MS16-149
Windows Server 2008
Windows Server 2008 for 32-bit Systems Service Pack 2
(3216775)
Important
Denial of Service
3204808 in MS16-149
Windows Server 2008 for x64-based Systems Service Pack 2
(3216775)
Important
Denial of Service
3204808 in MS16-149
Windows Server 2008 for Itanium-based Systems Service Pack 2
(3216775)
Important
Denial of Service
3204808 in MS16-149
Windows 7
Windows 7 for 32-bit Systems Service Pack 1
(3212642)
Security Only[1]
Important
Denial of Service
None
Windows 7 for 32-bit Systems Service Pack 1
(3212646)
Monthly Rollup[1]
Important
Denial of Service
3207752
Windows 7 for x64-based Systems Service Pack 1
(3212642)
Security Only[1]
Important
Denial of Service
None
Windows 7 for x64-based Systems Service Pack 1
(3212646)
Monthly Rollup[1]
Important
Denial of Service
3207752
Windows Server 2008 R2
Windows Server 2008 R2 for x64-based Systems Service Pack 1
(3212642)
Security Only[1]
Important
Denial of Service
None
Windows Server 2008 R2 for x64-based Systems Service Pack 1
(3212646)
Monthly Rollup[1]
Important
Denial of Service
3207752
Windows Server 2008 R2 for Itanium-based Systems Service Pack 1
(3212642)
Security Only[1]
Important
Denial of Service
None
Windows Server 2008 R2 for Itanium-based Systems Service Pack 1
(3212646)
Monthly Rollup[1]
Important
Denial of Service
3207752
Server Core installation option
Windows Server 2008 for 32-bit Systems Service Pack 2 (Server Core installation)
(3216775)
Important
Denial of Service
3204808 in MS16-149
Windows Server 2008 for x64-based Systems Service Pack 2 (Server Core installation)
(3216775)
Important
Denial of Service
3204808 in MS16-149
Windows Server 2008 R2 for x64-based Systems Service Pack 1 (Server Core installation)
(3212642)
Security Only[1]
Important
Denial of Service
None
Windows Server 2008 R2 for x64-based Systems Service Pack 1 (Server Core installation)
(3212646)
Monthly Rollup[1]
Important
Denial of Service
3207752

[1]Beginning with the October 2016 release, Microsoft is changing the update servicing model for Windows 7, Windows Server 2008 R2, Windows 8.1, Windows Server 2012, and Windows Server 2012 R2. For more information, please see this Microsoft TechNet article.

*The Updates Replaced column shows only the latest update in any chain of superseded updates. For a comprehensive list of updates replaced, go to the Microsoft Update Catalog, search for the update KB number, and then view update details (updates replaced information is provided on the PackageDetails tab).

Vulnerability Information

Local Security Authority Subsystem Service Denial of Service Vulnerability - CVE-2017-0004

A denial of service vulnerability exists in the way the Local Security Authority Subsystem Service (LSASS) handles authentication requests. An attacker who successfully exploited the vulnerability could cause a denial of service on the target system's LSASS service, which triggers an automatic reboot of the system.

To exploit the vulnerability an unauthenticated attacker could send a specially crafted authentication request.

The security update addresses the vulnerability by changing the way that LSASS handles specially crafted authentication requests.

The following table contains links to the standard entry for each vulnerability in the Common Vulnerabilities and Exposures list:

Vulnerability title CVE number Publicly disclosed Exploited
Local Security Authority Subsystem Service Denial of Service Vulnerability CVE-2017-0004 Yes No

Mitigating Factors

Microsoft has not identified any mitigating factors for this vulnerability.

Workarounds

Microsoft has not identified any workarounds for this vulnerability.

Security Update Deployment

For Security Update Deployment information, see the Microsoft Knowledge Base article referenced here in the Executive Summary.

Acknowledgments

Microsoft recognizes the efforts of those in the security community who help us protect customers through coordinated vulnerability disclosure. See Acknowledgments for more information.

Disclaimer

The information provided in the Microsoft Knowledge Base is provided "as is" without warranty of any kind. Microsoft disclaims all warranties, either express or implied, including the warranties of merchantability and fitness for a particular purpose. In no event shall Microsoft Corporation or its suppliers be liable for any damages whatsoever including direct, indirect, incidental, consequential, loss of business profits or special damages, even if Microsoft Corporation or its suppliers have been advised of the possibility of such damages. Some states do not allow the exclusion or limitation of liability for consequential or incidental damages so the foregoing limitation may not apply.

Revisions

Page generated 2017-01-09 15:20-08:00.